跳至內容

LTX Video 2.3 Pro · Text to Video

整合

模型 id ltx-2.3/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.48 480 API 點數 · ≈ ₽51.64 在此頁面執行

取得 API 金鑰
Lightricks 文字轉影片 原生音訊4K 輸出唇形同步6–10 秒最高 2160p #stylized#transform#lipsync

專業文字轉影片,支援 1080p 到 2160p、6、8 或 10 秒片段、直向或橫向,以及生成音訊

Lightricks · 影片

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 5000

引導影片生成的提示詞。

duration 6 s

輸出影片長度,以秒為單位。

resolution 預設 1080p

輸出影片的解析度。

aspect_ratio 預設 16:9

輸出影片的寬高比。

進階 fps · enable_safety_checker
fps 預設 25

輸出影片的影格率,以每秒影格數表示。

POST /run/ltx-2.3/text-to-video?wait=20 報價 → $0.48
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ltx-2.3/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 LTX Video 2.3 Pro · Text to Video

從最多 5000 個字元的文字 `prompt` 建立片段。`duration` 可為 6、8 或 10 秒,`resolution` 為 1080p、1440p 或 2160p,`aspect_ratio` 為 16:9 或 9:16。`fps` 接受 24、25、48 或 50,且 `generate_audio` 預設會加入音軌。

參數

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 5,000 個字元
引導影片生成的提示詞。
duration選填
類型enum
預設值6
6810
輸出影片長度,以秒為單位。
resolution選填
類型enum
預設值1080p
1080p1440p2160p
輸出影片的解析度。
aspect_ratio選填
類型enum
預設值16:9
16:99:16
輸出影片的寬高比。
fps選填
類型enum
預設值25
24254850
輸出影片的影格率,以每秒影格數表示。
generate_audio選填
類型boolean
預設值true
輸出影片的音訊生成切換鈕。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 480,
    "usd": "0.48",
    "charged": 480,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}結果影片檔案。

更多模型:文字轉影片

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/ltx-2.3/text-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt